#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir bash
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib


BASHREV=1.14.6
cd $BUILDPREFIX/bash
cat $SOURCEDIR/BASH/BA1146GZ. | uncompress | tar xvf -
cd bash-1.14.6
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/BASH/RTR/BASH. | patch -s -p )
test -f $SOURCEDIR/BASH/$MACHINE/BASH &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/BASH/$MACHINE/BASH | patch -b .rtr -s -p   )
case `machname` in
xenix)
make CC=gcc CPPNAME="gcc -E" CFLAGS="-Dsize_t=int"
;;
uware)
make CC=gcc GAWK=gawk CPPNAME="gcc -E"
;;
*)  
make CC=gcc CPPNAME="gcc -E"
;;
esac

make install
mkdir -p $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/bash
cp examples/scripts/* $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/bash


cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/bash ; fi
